<template>
  <el-row>
    <el-col :sm="{span:12}" class="leftBlock">
      <h1>Вход в учетную <br>запись</h1>
      <el-form :rules="rules" :model="form" ref="form">
        <el-form-item label="Логин" prop="login" :class="form.login.length>0?'inputNotEmpty':''">
          <el-input v-model="form.login" autocomplete="off" @keyup.enter="onLogin()"/>
        </el-form-item>
        <el-form-item label="Пароль" prop="password" :class="form.password.length>0?'inputNotEmpty':''">
          <el-input type="password" autocomplete="new-password" v-model="form.password" @keyup.enter="onLogin()"/>
        </el-form-item>
        <router-link to="#" class="formLink">Забыли пароль?</router-link>
        <el-button type="primary" :disabled="form.login.length <= 0 || form.password.length <= 0" @click="onLogin()">Войти в систему</el-button>
      </el-form>
    </el-col>
    <el-col :sm="{span:12}">
      <div class="homeIconBlock">
        <img src="@/assets/imgs/home.svg" alt="">
      </div>
    </el-col>
  </el-row>
</template>

<script>
import {ON_LOGIN,SET_TOKEN,SET_REFRESH_TOKEN,SET_USER_INFO} from '@/store/modules/AuthModule';

export default {
  name: 'LoginComponent',
  data: () => ({
    form: {
      login: '',
      password: ''
    },
    rules:{
      login:{
        required:true,
        message: 'Поле Логин не заполнено!'
      },
      password:{
        required:true,
        message: 'Поле Пароль не заполнено!'
      },
    },
  }),
  methods: {
    async onLogin() {
      try {
        let form = {
          "login": this.form.login,
          "password": this.form.password
        };
        const data = await this.$store.dispatch(ON_LOGIN, form);
        this.$store.commit(SET_TOKEN, data.access_token);
        this.$store.commit(SET_REFRESH_TOKEN, data.refresh_token);
        this.$store.commit(SET_USER_INFO, JSON. stringify(data.user));
        // this.$router.push({name:'CabinetPage'});
        window.location.href = "/cabinet";
      } catch (e) {
        this.$message.error(e.response.data.error);
      }
    }
  }
}
</script>